from sqlalchemy import create_engine
from sqlalchemy.orm import sessionmaker
from pathlib import Path


# Get the project root directory
PROJECT_ROOT = Path("/projects/bloggingplatformapi-lncxqv")

# Create the directory for the database if it doesn't exist
DB_DIR = PROJECT_ROOT / "storage" / "db"
DB_DIR.mkdir(parents=True, exist_ok=True)

SQLALCHEMY_DATABASE_URL = f"sqlite:///{DB_DIR}/db.sqlite"

engine = create_engine(
    SQLALCHEMY_DATABASE_URL,
    connect_args={"check_same_thread": False}
)
SessionLocal = sessionmaker(autocommit=False, autoflush=False, bind=engine)